/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/core/gfx.hpp>

#include "context.hpp"

namespace nostalgia::core {

ox::Error initGfx(Context *ctx, const InitParams&) noexcept;

ox::Result<ox::UniquePtr<Context>> init(turbine::Context *tctx, const InitParams &params) noexcept {
	auto ctx = ox::make_unique<GbaContext>();
	ctx->turbineCtx = tctx;
	oxReturnError(initGfx(ctx.get(), params));
	return ox::UPtr<Context>(ctx.release());
}

}